curl --request POST \
--url https://b.anny.co/api/v1/businesses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "businesses",
"attributes": {
"name": "Acme Corp"
}
}
}
'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "businesses",
"attributes": {
"name": "<string>",
"brand_name": "<string>",
"domain": "<string>",
"billing_email": "<string>",
"vat_id": "<string>",
"notes": "<string>",
"custom_entry_map": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"has_business_account": true
},
"links": {
"self": "<string>"
},
"relationships": {
"billing_address": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"logo_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"customers": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"custom_entries": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"customer_balances": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"payment_setup": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
}
}
}
}Customer Management
Create a business
Create a new business in the organization.
POST
/
api
/
v1
/
businesses
curl --request POST \
--url https://b.anny.co/api/v1/businesses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "businesses",
"attributes": {
"name": "Acme Corp"
}
}
}
'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "businesses",
"attributes": {
"name": "<string>",
"brand_name": "<string>",
"domain": "<string>",
"billing_email": "<string>",
"vat_id": "<string>",
"notes": "<string>",
"custom_entry_map": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"has_business_account": true
},
"links": {
"self": "<string>"
},
"relationships": {
"billing_address": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"logo_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"customers": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"custom_entries": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"customer_balances": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"payment_setup": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
}
}
}
}Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Header
Bearer Token
Abfrageparameter
Organization ID
Body
application/vnd.api+json
Show child attributes
Show child attributes
Antwort
Created
A B2B entity representing a company or organization that groups customers for billing and identification purposes.
Show child attributes
Show child attributes
⌘I